---
title: "Create a Tulip Table record"
slug: "create-a-tulip-table-record"
updated: 2026-04-02T17:37:08Z
published: 2026-04-02T17:37:27Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.tulip.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Tulip Table record

Post/tables/{tableId}/records

Creates a new Tulip Table record in the specified Table.

Requires the `tables:write` API key scope.

SecurityHTTPType basic

Access to the Tulip API requires the use of [HTTP Basic Authentication](https://datatracker.ietf.org/doc/html/rfc7617) using the credentials of an active [Tulip API Token](https://support.tulip.co/docs/set-up-a-tulip-api). All requests require the `Authorization` HTTP header with the `Basic` scheme to provide API credentials unless otherwise noted.

API tokens can be configured with a set of *scopes* which determine what parts of the API that specific token has access to. Security best practices dictate that API credentials be given the minimum set of capabilities required to fulfill their intended purpose. For example, an API token created for use in an integration that is only designed to use the Tables API should probably only be given the `tables:read` and `tables:write` scopes. In this way you can minimize risk in the event that API credentials are compromised. API endpoints will document what API token scopes are required to access that endpoint in their descriptions. If a request is made to an endpoint with an API token which does not have the required scopes, the response will be an authorization error.

Header parametersX-Tulip-Number-Formatstring

The format that Tulip should use in the response when formatting Tulip numbers. If omitted or set to `float`, Tulip will format numbers as JSON numbers. If set to `decimal`, Tulip will format numbers as strings representing the decimal representation of the number, like `&quot;1.20&quot;`. Tulip will only output trailing zeros when using `decimal` formatting.

This header only affects the response format. The value written is determined solely by the request body (see body description).

Note that this header only affects Tulip numbers. Other types, including Tulip integers, are unaffected.

Valid values[
  "decimal",
  "float"
]Default"float"

Path parameterstableIdstringRequired

The id of a Tulip Table.

Pattern^[a-zA-Z0-9_]+$Exampleg56RCoZCtzv7borvp

Body parameters

The spec for creating a Tulip Table record. The object must include the `id` field, and the other field must match columns in the Table. Any columns not included in the request will be recorded as `null`.

For Tulip number fields (*not* integer fields), you may specify values as either JSON numbers or strings. If specifying numbers as strings, they must be of format `&quot;[-]xx[.yyy]&quot;`. This corresponds to the JSON number format, except that the exponent component is not allowed (in other words, you cannot use scientific notation). Numbers specified as strings will be stored with full allowed precision (up to 20 digits to the right of the decimal place), including trailing zeros. Numbers specified as JSON numbers will not include trailing zeros.

<select class='api-response-data' aria-label='Media type'><option value='8a167be2-8f8b-441a-9f85-50342ad71685'>application/json</option>
</select>object  idstring    Required

Responses201

The Tulip Table record was created successfully. The details of the created Table record are returned in the response.

HeadersLocationstringRequiredA relative URL at which the details of the created Table record can be fetched.

<select class='api-response-data' aria-label='Media type'><option value='84f909a3-b155-4389-a84c-34671a82f6b1'>application/json</option>
</select>object  

A single record stored in a Tulip Table. The record object will include the names and values of all columns of the Table that are not hidden, in addition to the record's sequence number, created timestamp, and last updated timestamp.

Example{
  "_sequenceNumber": 15,
  "_createdAt": "2019-02-08T20:16:31Z",
  "_updatedAt": "2019-02-08T20:16:31Z",
  "id": "bike-a",
  "ahvbb_model_number": "AAA",
  "auznd_color": "blue",
  "irrip_completed": true,
  "umiyk_durability_test_duration": 123000
}_sequenceNumberinteger    

A monotonically increasing unique identifier for this record.

_createdAtstring  (date-time)    
_updatedAtstring  (date-time)    

400

The request was malformed. This could mean that headers, query parameters, or the request body was unable to be parsed or had unexpected values.

<select class='api-response-data' aria-label='Media type'><option value='287840b8-8dff-4ec5-aac0-521c6ec560db'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

401

The request was made unauthorized. HTTP Basic Authorization using a Tulip API Key is required for use of the API.

<select class='api-response-data' aria-label='Media type'><option value='62dc1686-3439-4b93-9ee0-3668c1693253'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

403

The provided authentication info was rejected. The response will provide additional details.

<select class='api-response-data' aria-label='Media type'><option value='7b74c5c6-70ac-4368-9593-b5b25c347d0d'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

404

The requested database entry was not found.

<select class='api-response-data' aria-label='Media type'><option value='ec0e461d-c1dc-4780-8dc2-e573731cc28d'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

422

The request was syntactically sound, but could not be processed due to a logical problem.

<select class='api-response-data' aria-label='Media type'><option value='1e98f5b0-fbe3-4a5c-be38-f6ca5507060e'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

500

The server encountered an unexpected error.

<select class='api-response-data' aria-label='Media type'><option value='eafe5e6d-e535-45bb-9f34-660e1c1b7541'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring
